<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/transparent">

    <!-- Курсор в виде креста в центре экрана -->
    <View
        android:id="@+id/cursor_cross"
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:layout_centerInParent="true"
        android:background="@drawable/cursorcross" />

    <!-- Координаты в первом квадранте (верхний левый) -->

    <!-- Расстояние и пеленг в четвертом квадранте (нижний правый) -->
    <LinearLayout
        android:id="@+id/coordinates_panel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:background="@drawable/panel_background"
        android:orientation="vertical"
        android:padding="8dp"
        android:translationX="-60dp"
        android:translationY="-40dp"
        android:visibility="visible">

        <TextView
            android:id="@+id/tv_cursor_latitude"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="Широта: --"
            android:textColor="@android:color/white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_cursor_longitude"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="Долгота: --"
            android:textColor="@android:color/white"
            android:textSize="12sp" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/distance_bearing_panel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginStart="120dp"
        android:layout_marginTop="60dp"
        android:background="@drawable/panel_background"
        android:orientation="vertical"
        android:padding="8dp"
        android:translationX="60dp"
        android:translationY="40dp"
        android:visibility="visible">

        <TextView
            android:id="@+id/tv_distance"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="Rnd:"
            android:textColor="@android:color/white"
            android:textSize="12sp"
            android:visibility="gone"
             />

        <TextView
            android:id="@+id/tv_bearing"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="Brg: --"
            android:textColor="@android:color/white"
            android:textSize="12sp"
            android:visibility="gone"
            />

    </LinearLayout>

    <!-- Информация об AIS судне в левом нижнем углу -->
    <LinearLayout
        android:id="@+id/ais_vessel_info_panel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginStart="16dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/panel_background"
        android:orientation="vertical"
        android:padding="8dp"
        android:translationX="-75dp"
        android:translationY="60dp"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_ais_mmsi"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="MMSI: --"
            android:textColor="@android:color/white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_ais_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="Название: --"
            android:textColor="@android:color/white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_ais_call_sign"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="Позывной: --"
            android:textColor="@android:color/white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_ais_cog"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="COG: --"
            android:textColor="@android:color/white"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_ais_sog"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="monospace"
            android:text="SOG: --"
            android:textColor="@android:color/white"
            android:textSize="12sp" />

    </LinearLayout>

</RelativeLayout>
